Bug 247774 - [RHEL5] birthdays before 1970 cannot be stored correctly in an evolution contact
Summary: [RHEL5] birthdays before 1970 cannot be stored correctly in an evolution contact
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-11 12:10 UTC by Andreas Haupt
Modified: 2008-03-31 10:55 UTC (History)
0 users

Fixed In Version: evolution-2.12.3-8.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 10:55:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 339813 None None None Never

Description Andreas Haupt 2007-07-11 12:10:52 UTC
Description of problem:

When entering a birthday for a contact in evolution you are only able to set the
last two digits of the birthday's year. For dates before 1969 this date is
automatically set to 2000 + entered year (e.g. 5/7/52 becomes 5/7/2052).

As this date is in future it won't get visible in evolution's calendar.

Version-Release number of selected component (if applicable):

evolution-2.8.0-33.0.1.el5

How reproducible:

Everytime

Expected results:

you should be able to enter the year completely - not just the last two digits

Additional info:

This bug is also in Gnome's bugzilla:
http://bugzilla.gnome.org/show_bug.cgi?id=339813

Comment 1 Matthew Barnes 2008-03-16 22:32:33 UTC
RHEL 5.2 will re-base Evolution from version 2.8.0 to version 2.12.3.
Can you please test whether this bug is still present in RHEL 5.2?

Comment 2 Andreas Haupt 2008-03-31 06:43:58 UTC
I've tested it with 2.12.3 in Fedora8 - the bug has gone there.

Comment 3 Matthew Barnes 2008-03-31 10:55:43 UTC
Okay, thanks for the update.  Closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.